/***************************************************************************
                          catalogentry.cpp  -  description
                             -------------------
    begin                : Thu Mar 20 2003
    copyright            : (C) 2003 by Stefano Salvador
    email                : salva_ste@tin.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <qdatetime.h>
#include <qstringlist.h>

#include "catalogentry.h"

CatalogEntry::
CatalogEntry( QString n, int s, QString des, QDate* dat, QStringList* l, int et )
{
  name = n;
  description = des;
  size = s;
  date =  dat;
  cl = l;
  entry_type = et;
}

CatalogEntry::~CatalogEntry()
{
}

QString CatalogEntry::MyCatalog() const
{
  return myCatalog;
}

QString CatalogEntry::Name() const
{
  return name;
}


int CatalogEntry::Size() const
{
  return size;
}

QString CatalogEntry::Description() const
{
  return description;
}

QDate *CatalogEntry::Date() const
{
  return date;
}

int CatalogEntry::EntryType() const
{
  return entry_type;
}

QStringList *CatalogEntry::CatList() const
{
  return cl;
}

QString CatalogEntry::Icon() const
{
  return icon;
}

void CatalogEntry::SetName( QString n )
{
  name = n;
}

void CatalogEntry::SetSize( int s )
{
  size = s;
}

void CatalogEntry::SetDescription( QString des )
{
  description = des;
}

void CatalogEntry::SetDate( QDate* dat )
{
  date = dat;
}

void CatalogEntry::SetCatList( QStringList* l )
{
  cl = l;
}

void CatalogEntry::SetEntryType( int et )
{
  entry_type = et;
}

void CatalogEntry::SetIcon( QString str )
{
  icon = str;
}

void CatalogEntry::addCat( QString str )
{
  *cl << str;
}

void CatalogEntry::setMyCatalog( QString str )
{
  myCatalog = str;
}

void CatalogEntry::delCat( QString str )
{
  cl->remove( str );
}
