/***************************************************************************
                          categoryhandler.cpp  -  description
                             -------------------
    begin                : Thu Mar 20 2003
    copyright            : (C) 2003 by Stefano Salvador
    email                : salva_ste@tin.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <stdlib.h>

#include "categoryhandler.h"

CategoryHandler::CategoryHandler()
{
  catList = new QStringList;
}

CategoryHandler::~CategoryHandler()
{
  delete catList;
}

/** add a member to the list of categories and give it an identifier, returns the identifier */
void CategoryHandler::addCategory( QString str, QString des )
{
  Category cat = Category( str, des );
  append( cat );
}

/** find the name and returns the item */
Category *CategoryHandler::find( QString name )
{
  iterator it = begin();
  while( it != end() )
  {
    if( (*it).Name() == name )
      return &(*it);
    it++;
  }

  return 0;
}

/** returns a list of all categories */
QStringList *CategoryHandler::categoriesList()
{
  if( size() == 0 )
    return 0;
  catList->clear();
  iterator it = begin();
  while( it != end() )
    catList->append( (*it++).Name() );

  return catList;
}

/** removes the category passed as argument */
void CategoryHandler::delCategory( QString name )
{
  iterator it = begin();
  while( it != end() )
  {
    if( (*it).Name() == name )
    {
      remove( it );
      return;
    }
    it++;
  }
}
