/***************************************************************************
                          categoryhandler.h  -  description
                             -------------------
    begin                : Thu Mar 20 2003
    copyright            : (C) 2003 by Stefano Salvador
    email                : salva_ste@tin.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CATEGORYHANDLER_H
#define CATEGORYHANDLER_H

#include <qvaluelist.h>
#include <qstringlist.h>
#include "category.h"

/**This class handles the categories used in the catalogue
  *@author Stefano Salvador
  */

class CategoryHandler : public QValueList<Category>
{
public:
  /** Public constructor */
  CategoryHandler();

  /** Public destructor */
  ~CategoryHandler();

  /** add a member to the list of categories and give it an identifier, returns the identifier */
  void addCategory( QString, QString );

  /** find the name and returns the element */
  Category *find( QString );

  /** returns a list of all categories */
  QStringList *categoriesList();

  /** removes the category passed as argument */
  void delCategory( QString );

private:
  /** Pointer to a list of categories */
  QStringList *catList;
};

#endif
