/***************************************************************************
                          katalogview.h  -  description
                             -------------------
    begin                : Tue Mar 18 14:57:05 CET 2003
    copyright            : (C) 2003 by Stefano Salvador
    email                : salva_ste@tin.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KATALOGVIEW_H
#define KATALOGVIEW_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

// include files for Qt
#include <qwidget.h>
#include <kjanuswidget.h>

class QTextBrowser;
class KatalogDoc;
class CatalogView;
class CatalogHandler;
class CategoryHandler;
class CategoryView;

/** The KatalogView class provides the view widget for the KatalogApp instance.	
 * The View instance inherits QWidget as a base class and represents the view object of a KTMainWindow. As KatalogView is part of the
 * docuement-view model, it needs a reference to the document object connected with it by the KatalogApp class to manipulate and display
 * the document structure provided by the KatalogDoc class.
 * 	
 * @author Source Framework Automatically Generated by KDevelop, (c) The KDevelop Team.
 * @version KDevelop version 0.4 code generation
 */
class KatalogView : public KJanusWidget
{
Q_OBJECT
public:
  /** Constructor for the main view */
  KatalogView( KatalogDoc* pDoc = 0, QWidget *parent = 0, const char *name=0);

  /** Destructor for the main view */
  ~KatalogView();

  /** returns a pointer to the document connected to the view instance. Mind that this method requires a KatalogApp instance as a parent
   * widget to get to the window document pointer by calling the KatalogApp::getDocument() method.
   *
   * @see KatalogApp#getDocument
   */
  KatalogDoc *getDocument() const;

  /** contains the implementation for printing functionality */
  void print(QPrinter *pPrinter);

  void resizeEvent( QResizeEvent *);

protected:

  KatalogDoc *doc;

public slots: // Public slots
  /** No descriptions */
  void removeCategory( QString );

private:
  CatalogView *logView;
};
#endif // KATALOGVIEW_H
