/***************************************************************************
                          searchview.h  -  description
                             -------------------
    begin                : Fri Mar 28 2003
    copyright            : (C) 2003 by Stefano Salvador
    email                : salva_ste@tin.it
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SEARCHVIEW_H
#define SEARCHVIEW_H

#include <qwidget.h>

class QPushButton;
class QLineEdit;
class KDateWidget;
class QFrame;
class QCheckBox;
class QComboBox;
class QListBox;
class KListView;
class KatalogDoc;
class CategoryHandler;
class CatalogEntry;
class CatalogHandler;
class CatTreeItem;

/**This widget is used to search entries in the catalogue
  *@author Stefano Salvador
  */

class SearchView : public QWidget  {
   Q_OBJECT
public: 
  SearchView( QWidget *parent = 0, const char *name = 0, KatalogDoc *pDoc = 0 );
  ~SearchView();
  /** Follows a branch searching a match */
  void SearchBranch( CatTreeItem * );

public slots:
  void toggleRight();
  void Search();
  void Stop();
  void initView();

private:
  /** Set the contents of a CatalogEntry */
  void setEntry( CatalogEntry *ce );
  KatalogDoc *doc;
  KListView *view;
  QLineEdit *eName;
  QLineEdit *eSize;
  KDateWidget *eDate;
  QPushButton *search;
  QPushButton *stop;
  QPushButton *more;
  QCheckBox *eCase;
  QComboBox *eCatalog;
  QComboBox *mSize;
  QComboBox *dSize;
  QComboBox *mDate;
  QListBox *eCategory;
  QFrame *right;
  bool opt;
  bool fstop;
  CatalogHandler  *handler;
  CategoryHandler *chandler;
};

#endif
